Skip to main content
GET
/
email
/
drafts
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/email/drafts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.useanima.sh/v1/email/drafts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.useanima.sh/v1/email/drafts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "<string>",
      "agentId": "<string>",
      "orgId": "<string>",
      "fromIdentityId": "<string>",
      "to": [
        "<string>"
      ],
      "cc": [
        "<string>"
      ],
      "bcc": [
        "<string>"
      ],
      "subject": "<string>",
      "body": "<string>",
      "bodyHtml": "<string>",
      "inReplyTo": "<string>",
      "references": [
        "<string>"
      ],
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "nextCursor": "<string>",
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Query Parameters

cursor
string

Opaque cursor from a previous response to fetch the next page

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
limit
integer
default:20

Maximum number of items to return per page (1–100, default 20)

Required range: 1 <= x <= 100
agentId
string

Filter drafts by agent ID

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$

Response

200 - application/json

OK

Paginated list of email drafts

items
object[]
required

Array of email draft resources

pagination
object
required

Pagination metadata